From b7805d422be7c010b39b6f085c70099a8c6b9470 Mon Sep 17 00:00:00 2001
From: Sebastien Zwickert <dilaroga@free.fr>
Date: Tue, 6 Sep 2011 23:57:50 +0200
Subject: [PATCH 4/4] opengl: revert some cleanup.

---
 modules/video_output/opengl.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

diff --git a/modules/video_output/opengl.c b/modules/video_output/opengl.c
index f33ef37..7dc67ce 100644
--- a/modules/video_output/opengl.c
+++ b/modules/video_output/opengl.c
@@ -272,6 +272,8 @@ vout_display_opengl_t *vout_display_opengl_New(video_format_t *fmt,
     bool supports_npot = false;
 #if USE_OPENGL_ES == 2
     supports_npot = true;
+#elif defined(BROKEN_MACOS_OPENGL)
+    supports_npot = true;
 #else
     supports_npot |= HasExtension(extensions, "GL_APPLE_texture_2D_limited_npot") ||
                      HasExtension(extensions, "GL_ARB_texture_non_power_of_two");
@@ -393,7 +395,7 @@ vout_display_opengl_t *vout_display_opengl_New(video_format_t *fmt,
     *fmt = vgl->fmt;
     if (subpicture_chromas) {
         *subpicture_chromas = NULL;
-#if !USE_OPENGL_ES
+#if !defined(BROKEN_MACOS_OPENGL) && !USE_OPENGL_ES
         if (supports_npot)
             *subpicture_chromas = gl_subpicture_chromas;
 #endif
-- 
1.7.3.4

